You can create a cell binding source, and then use the setBindingPath method to set the binding path for cell-level binding in a specified cell in the specified sheet area. Then set the data source for the sheet. For example:
You can use getBindingPath to get the binding path of cell-level binding from the specified cell in the specified sheet area.
var person, sheet;
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"));
initSpread(spread);
};
function initSpread(spread) {
var spreadNS = GC.Spread.Sheets;
sheet = spread.sheets[0];
sheet.suspendPaint();
sheet.setColumnWidth(0, 120);
sheet.setColumnWidth(1, 120);
sheet.setColumnWidth(2, 120);
sheet.setValue(0, 0, 'cell-binding');
sheet.setValue(2, 1, 'Name');
sheet.setValue(3, 1, 'Age');
sheet.setValue(4, 1, 'Sex');
sheet.setValue(5, 1, 'Address.postcode');
person = { name: "Wang Feng", age: 25, sex: "Male", address: { postcode: "710075" } };
document.getElementById("personName").value=person.name || "";
document.getElementById("personAge").value=person.age || "";
document.getElementById("personSex").value=person.sex || "";
document.getElementById("personPostcode").value=person.address.postcode || "";
var source = new spreadNS.Bindings.CellBindingSource(person);
sheet.setBindingPath(2, 2, "name");
sheet.setBindingPath(3, 2, "age");
sheet.setBindingPath(4, 2, "sex");
sheet.setBindingPath(5, 2, "address.postcode");
sheet.setDataSource(source);
sheet.setSelection(2, 2, 1, 1);
var path = sheet.getBindingPath(2, 2);
sheet.getRange(2, 2, 4, 1).backColor("rgb(208,206,206)");
document.getElementById("bindingPath").innerHTML=path || "";
sheet.bind(spreadNS.Events.SelectionChanged, function() {
var activeCell = sheet.getSelections()[0];
var path = sheet.getBindingPath(activeCell.row, activeCell.col);
document.getElementById("bindingPath").innerHTML=path || "";
});
sheet.bind(spreadNS.Events.CellChanged, function() {
document.getElementById("personName").value=person.name || "";
document.getElementById("personAge").value=person.age || "";
document.getElementById("personSex").value=person.sex || "";
document.getElementById("personPostcode").value=person.address.postcode || "";
});
sheet.resumePaint();
};
// These functions change the Person object that Spread is bound to
var updateName = function(value) {
if (person && sheet) {
person.name = value;
sheet.repaint();
}
};
var updateAge = function(value) {
if (person && sheet) {
person.age = value;
sheet.repaint();
}
};
var updateSex = function(value) {
if (person && sheet) {
person.sex = value;
sheet.repaint();
}
};
var updatePostcode = function(value) {
if (person && sheet) {
person.address.postcode = value;
sheet.repaint();
}
};
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
<div class="options-container">
<div class="option-row">
<label style="background-color:#F4F8EB;">Select one of the gray cells to get its binding. You can also change the Person object below to see it change in the Spread instance: change any of the text in the text boxes below.</label>
</div>
<div class="option-row">
<label>Name: </label>
<input type="text" id="personName" onkeyup="updateName(this.value)"/>
<label>Age: </label>
<input type="text" id="personAge" onkeyup="updateAge(this.value)"/>
<label>Sex: </label>
<input type="text" id="personSex" onkeyup="updateSex(this.value)"/>
<label>Postcode: </label>
<input type="text" id="personPostcode" onkeyup="updatePostcode(this.value)"/>
<label>GetBindingPath: </label>
<label id="bindingPath" style="color:darkgreen"></label>
</div>
</div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
input[type=text] {
margin-top: 6px;
margin-bottom: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

You can create a cell binding source, and then use the setBindingPath method to set the binding path for cell-level binding in a specified cell in the specified sheet area. Then set the data source for the sheet. For example:
You can use getBindingPath to get the binding path of cell-level binding from the specified cell in the specified sheet area.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet>
<gc-column :width=120></gc-column>
<gc-column :width=120></gc-column>
<gc-column :width=120></gc-column>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label style="background-color:#F4F8EB;">Select one of the gray cells to get its binding. You can also change the Person object below to see it change in the Spread instance: change any of the text in the text boxes below.</label>
</div>
<div class="option-row">
<label>Name: </label>
<input type="text" v-on:keyup="updateName" :value="name" />
<label>Age: </label>
<input type="text" v-on:keyup="updateAge" :value="age" />
<label>Sex: </label>
<input type="text" v-on:keyup="updateSex" :value="sex" />
<label>Postcode: </label>
<input type="text" v-on:keyup="updatePostcode" :value="postcode" />
<label>GetBindingPath: </label>
<label style="color:darkgreen">{{path}}</label>
</div>
</div>
</div>
</template>
<script>
import Vue from 'vue';
import '@mescius/spread-sheets-vue'
import GC from '@mescius/spread-sheets';
import './styles.css';
let App = Vue.extend({
name: "app",
data() {
return {
name: 'Wang Feng',
age: 25,
sex: 'Male',
path: "",
postcode: '710075',
spread: null
};
},
methods: {
updateName(value) {
if (person && sheet) {
person.name = value.target.value;
sheet.repaint();
}
},
updateAge(value) {
if (person && sheet) {
person.age = isNaN(parseInt(value.target.value)) ? undefined : parseInt(value.target.value);
sheet.repaint();
}
},
updateSex(value) {
if (person && sheet) {
person.sex = value.target.value;
sheet.repaint();
}
},
updatePostcode(value) {
if (person && sheet) {
person.address.postcode = value.target.value;
sheet.repaint();
}
},
initSpread(spread) {
this.spread = spread;
let spreadNS = GC.Spread.Sheets;
let self = this;
sheet = spread.sheets[0];
sheet.suspendPaint();
sheet.setValue(0, 0, 'cell-binding');
sheet.setValue(2, 1, 'Name');
sheet.setValue(3, 1, 'Age');
sheet.setValue(4, 1, 'Sex');
sheet.setValue(5, 1, 'Address.postcode');
let source = new spreadNS.Bindings.CellBindingSource(person);
sheet.setBindingPath(2, 2, "name");
sheet.setBindingPath(3, 2, "age");
sheet.setBindingPath(4, 2, "sex");
sheet.setBindingPath(5, 2, "address.postcode");
sheet.setDataSource(source);
sheet.setSelection(2, 2, 1, 1);
let path = sheet.getBindingPath(2, 2);
sheet.getRange(2, 2, 4, 1).backColor("rgb(208,206,206)");
this.path = path || "";
sheet.bind(spreadNS.Events.SelectionChanged, function () {
let activeCell = sheet.getSelections()[0];
let path = sheet.getBindingPath(activeCell.row, activeCell.col);
self.path = path || "";
});
sheet.bind(spreadNS.Events.CellChanged, function () {
self.age = person.age || 0;
self.name = person.name || "";
self.postcode = person.address.postcode || "";
self.sex = person.sex || "";
});
sheet.resumePaint();
}
}
});
let person = {
name: "Wang Feng",
age: 25,
sex: "Male",
address: {
postcode: "710075"
}
},
sheet;
new Vue({
render: h => h(App)
}).$mount('#app');
</script>
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/vue/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/vue/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.vue');
System.import('$DEMOROOT$/en/lib/vue/license.js');
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
input[type=text] {
margin-top: 6px;
margin-bottom: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: 'vue-loader' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.min.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
}
}
});
})(this);

You can create a cell binding source, and then use the setBindingPath method to set the binding path for cell-level binding in a specified cell in the specified sheet area. Then set the data source for the sheet. For example:
You can use getBindingPath to get the binding path of cell-level binding from the specified cell in the specified sheet area.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
let person= { name: "Wang Feng", age: 25, sex: "Male", address: { postcode: "710075" } }, sheet: GC.Spread.Sheets.Worksheet;
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
name = 'Wang Feng';
age = 25;
sex = 'Male';
path = "";
postcode = '710075';
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
updateName (value: any) {
if (person && sheet) {
person.name = value.target.value;
sheet.repaint();
}
};
updateAge (value: any) {
if (person && sheet) {
person.age = parseInt(value.target.value);
sheet.repaint();
}
};
updateSex (value: any) {
if (person && sheet) {
person.sex = value.target.value;
sheet.repaint();
}
};
updatePostcode (value: any) {
if (person && sheet) {
person.address.postcode = value.target.value;
sheet.repaint();
}
};
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
let spreadNS = GC.Spread.Sheets;
let self = this;
sheet = spread.sheets[0];
sheet.suspendPaint();
sheet.setValue(0, 0, 'cell-binding');
sheet.setValue(2, 1, 'Name');
sheet.setValue(3, 1, 'Age');
sheet.setValue(4, 1, 'Sex');
sheet.setValue(5, 1, 'Address.postcode');
let source = new spreadNS.Bindings.CellBindingSource(person);
sheet.setBindingPath(2, 2, "name");
sheet.setBindingPath(3, 2, "age");
sheet.setBindingPath(4, 2, "sex");
sheet.setBindingPath(5, 2, "address.postcode");
sheet.setDataSource(source);
sheet.setSelection(2, 2, 1, 1);
let path = sheet.getBindingPath(2, 2);
sheet.getRange(2, 2, 4, 1).backColor("rgb(208,206,206)");
this.path = path || "";
sheet.bind(spreadNS.Events.SelectionChanged, function() {
let activeCell = sheet.getSelections()[0];
let path = sheet.getBindingPath(activeCell.row, activeCell.col);
self.path = path || "";
});
sheet.bind(spreadNS.Events.CellChanged, function() {
self.age = person.age || 0;
self.name = person.name || "";
self.postcode = person.address.postcode || "";
self.sex = person.sex || "";
});
sheet.resumePaint();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet>
<gc-column width=120></gc-column>
<gc-column width=120></gc-column>
<gc-column width=120></gc-column>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label style="background-color:#F4F8EB;">Select one of the gray cells to get its binding. You can also change the Person object below to see it change in the Spread instance: change any of the text in the text boxes below.</label>
</div>
<div class="option-row">
<label>Name: </label>
<input type="text" (keyup)="updateName($event)" [value]="name"/>
<label>Age: </label>
<input type="text" (keyup)="updateAge($event)" [value]="age"/>
<label>Sex: </label>
<input type="text" (keyup)="updateSex($event)" [value]="sex"/>
<label>Postcode: </label>
<input type="text" (keyup)="updatePostcode($event)" [value]="postcode"/>
<label>GetBindingPath: </label>
<label style="color:darkgreen">{{path}}</label>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
input[type=text] {
margin-top: 6px;
margin-bottom: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

You can create a cell binding source, and then use the setBindingPath method to set the binding path for cell-level binding in a specified cell in the specified sheet area. Then set the data source for the sheet. For example:
You can use getBindingPath to get the binding path of cell-level binding from the specified cell in the specified sheet area.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import Panel from './panel';
import { SpreadSheets, Worksheet, Column } from '@mescius/spread-sheets-react';
const {useState, useEffect} = React;
let person= { name: "Wang Feng", age: 25, sex: "Male", address: { postCode: "710075" } }, sheet;
export const AppFunc = () => {
const [name, setName] = useState('Wang Feng');
const [age, setAge] = useState(25);
const [sex, setSex] = useState('Male');
const [postCode, setPostCode] = useState('710075');
const [bindingPath, setBindingPath] = useState('');
useEffect(() => {
person.name = name;
person.age = age;
person.sex = sex;
person.address.postCode = postCode;
sheet.repaint();
}, [name, age, sex, postCode]);
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread, setName, setAge, setSex, setPostCode, setBindingPath)}>
<Worksheet>
<Column width={120}></Column>
<Column width={120}></Column>
<Column width={120}></Column>
</Worksheet>
</SpreadSheets>
</div>
<Panel name={name} age={age} sex={sex} postCode={postCode} bindingPath={bindingPath}
setName={setName} setAge={setAge} setSex={setSex} setPostCode={setPostCode} setBindingPath={setBindingPath}
></Panel>
</div>
)
}
function initSpread(spread, setName, setAge, setSex, setPostCode, setBindingPath) {
let spreadNS = GC.Spread.Sheets;
sheet = spread.sheets[0];
sheet.suspendPaint();
sheet.setValue(0, 0, 'cell-binding');
sheet.setValue(2, 1, 'Name');
sheet.setValue(3, 1, 'Age');
sheet.setValue(4, 1, 'Sex');
sheet.setValue(5, 1, 'Address.postcode');
let source = new spreadNS.Bindings.CellBindingSource(person);
sheet.setBindingPath(2, 2, "name");
sheet.setBindingPath(3, 2, "age");
sheet.setBindingPath(4, 2, "sex");
sheet.setBindingPath(5, 2, "address.postCode");
sheet.setDataSource(source);
sheet.setSelection(2, 2, 1, 1);
let path = sheet.getBindingPath(2, 2);
sheet.getRange(2, 2, 4, 1).backColor("rgb(208,206,206)");
setBindingPath(path || "");
sheet.bind(spreadNS.Events.SelectionChanged, function () {
let activeCell = sheet.getSelections()[0];
let path = sheet.getBindingPath(activeCell.row, activeCell.col);
setBindingPath(path || "");
});
sheet.bind(spreadNS.Events.CellChanged, function () {
setName(person.name || "");
setAge(person.age || "");
setSex(person.sex || "");
setPostCode(person.address.postCode || "");
});
sheet.resumePaint();
}
import * as React from 'react';
export default function Panel (props) {
const { name, setName, age, setAge, sex, setSex, postCode, setPostCode, bindingPath } = props;
return (
<div class="options-container">
<div class="option-row">
<label style={{ backgroundColor: '#F4F8EB' }}>Select one of the gray cells to get its binding. You can also change the Person object below to see it change in the Spread instance: change any of the text in the text boxes below.</label>
</div>
<div class="option-row">
<label>Name: </label>
<input type="text" onChange={(e) => { setName(e.target.value) }} value={name} />
<label>Age: </label>
<input type="text" onChange={(e) => { setAge(isNaN(parseInt(e.target.value))? undefined:parseInt(e.target.value)) }} value={age} />
<label>Sex: </label>
<input type="text" onChange={(e) => { setSex(e.target.value) }} value={sex} />
<label>Postcode: </label>
<input type="text" onChange={(e) => { setPostCode(e.target.value) }} value={postCode} />
<label>GetBindingPath: </label>
<label style={{ color: 'darkgreen' }}>{bindingPath}</label>
</div>
</div>
);
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
input[type=text] {
margin-top: 6px;
margin-bottom: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);